package Diacratics;
use base qw (ASCOPE::Search::Boolean);

sub init {
    my $self = shift;
    return $self->SUPER::init("examples/diacratics.txt");
}

package main;
use Test::More;

plan tests => 85;

# Test::More can't seem to find Diacratics
# even though we can instantiate it below.

SKIP: {
  skip("use Diacratics",1);
  use_ok("Diacractics");
}

use_ok("IO::File");

my $d = Diacratics->new();
isa_ok($d,"Diacratics");

my $fh = IO::File->new("examples/diacratics.txt");
isa_ok($fh,"IO::File");

while (<$fh>) {
  my $line = $_;
  chomp $line;

  my ($lookup,$result) = split(/\t/,$line);

  my $res = $d->query($lookup);

  isa_ok($res,"ASCOPE::Search::Boolean::result");

  # Test::More seems to have trouble
  # comparsing objects whose "" operator
  # is overloaded. Dunno.

 SKIP: {
    skip($res->query(),1);
    cmp_ok($res,"eq",$result);
  }

  cmp_ok($res->query(),"eq",$lookup,$res);
}


# $Id: 10-diacratic.t,v 1.3 2003/03/12 20:55:54 asc Exp $
